%include	/usr/lib/rpm/macros.php
%define		_status		stable
%define		_pearname	Net_SMTP
Summary:	%{_pearname} - implementation of the SMTP protocol
Summary(pl.UTF-8):	%{_pearname} - implementacja protokołu SMTP
Name:		php-pear-%{_pearname}
Version:	1.6.2
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	8b9262332948001f17110b4bfd7c15b3
URL:		http://pear.php.net/package/Net_SMTP/
BuildRequires:	php-pear-PEAR >= 1:1.4.3
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-Net_Socket >= 1.0.7
Suggests:	php-pear-Auth_SASL
Obsoletes:	php-pear-Net_SMTP-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	pear(Auth/SASL.*)

%description
Provides an implementation of the SMTP protocol using PEAR's
Net_Socket:: class.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Dostarcza implementację protokołu SMTP przy użyciu PEAR-owej klasy
Net_Socket:: .

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Net/*.php
%changelog
* Sun Dec 01 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-Net_SMTP.git;a=log;h=master

* Thu Jul 18 2013 Elan Ruusamäe <glen@delfi.ee> 8c4896d
- up to 1.6.2 (released on 2013-07-05)

* Thu Sep 15 2011 Elan Ruusamäe <glen@pld-linux.org> 1f0ff65
- updated to: 1.6.1

* Sun Jul 31 2011 Elan Ruusamäe <glen@pld-linux.org> deeb79a
- updated to: 1.6.0

* Mon Apr 25 2011 Elan Ruusamäe <glen@pld-linux.org> 905c569
- updated to: 1.5.2

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> f52da75
- release 3

* Sun Feb 27 2011 Elan Ruusamäe <glen@pld-linux.org> 4c2cf08
- release 2

* Sun Feb 27 2011 Elan Ruusamäe <glen@pld-linux.org> 5f75f48
- updated to: 1.5.0

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 4f76604
- dropped -tests subpackage

* Tue Nov 16 2010 Elan Ruusamäe <glen@pld-linux.org> f092a24
- updated to: 1.4.4

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 4e17798
- updated deps with pearize.sh
- release 2

* Fri Aug 20 2010 Elan Ruusamäe <glen@pld-linux.org> 7017ca7
- updated to: 1.4.2

* Mon Jan 04 2010 Adam Gołębiowski <adamg@pld-linux.org> 8d8e0f4
- updated to 1.3.4

* Fri Dec 26 2008 Adam Gołębiowski <adamg@pld-linux.org> 2c2590f
- updated to 1.3.2

* Tue Jun 10 2008 Adam Gołębiowski <adamg@pld-linux.org> 0c64096
- updated to 1.3.1

* Sat May 03 2008 Adam Gołębiowski <adamg@pld-linux.org> a6e3ad7
- updated to 1.3.0

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> ce85e9f
- rel 2

* Sun Aug 26 2007 Adam Gołębiowski <adamg@pld-linux.org> a1af0cf
- updated to 1.2.10

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3879aea
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f59e7d6
- converted to UTF-8

* Tue Dec 19 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 188ba18
- rel 2

